package com.kmall.admin.service.impl;

import com.kmall.admin.dao.PickUpCodeDao;
import com.kmall.admin.entity.PickUpCodeEntity;
import com.kmall.admin.service.PickUpCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 取货码信息表Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2020-05-19 09:11:26
 */
@Service("pickUpCodeService")
public class PickUpCodeServiceImpl implements PickUpCodeService {
    @Autowired
    private PickUpCodeDao pickUpCodeDao;

    @Override
    public PickUpCodeEntity queryObject(String orderSn) {
        return pickUpCodeDao.queryObject(orderSn);
    }

    @Override
    public List<PickUpCodeEntity> queryList(Map<String, Object> map) {
        List<PickUpCodeEntity> pickUpCodeEntities = pickUpCodeDao.queryList(map);
        return pickUpCodeEntities;
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return pickUpCodeDao.queryTotal(map);
    }

    @Override
    public int save(PickUpCodeEntity pickUpCode) {
        return pickUpCodeDao.save(pickUpCode);
    }

    @Override
    public int update(PickUpCodeEntity pickUpCode) {
        return pickUpCodeDao.update(pickUpCode);
    }

    @Override
    public int delete(String orderSn) {
        return pickUpCodeDao.delete(orderSn);
    }

    @Override
    public int deleteBatch(String[]orderSns) {
        return pickUpCodeDao.deleteBatch(orderSns);
    }

    public String queryPickUpCodeStatus(String orderSn){return pickUpCodeDao.queryPickUpCodeStatus(orderSn); }
}
